Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.mtp3
Class Mtp3AlarmNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--jain.protocol.ss7.oam.OamAlarmNotification
                        |
                        +--jain.protocol.ss7.oam.mtp3.Mtp3AlarmNotification

public class Mtp3AlarmNotification
extends OamAlarmNotification

A Mtp3AlarmNotification is a Notification emitted by a Mtp3 Managed Bean(MBean) to indicate a change in status of the MBean. This state change may result from :

- a create/delete/modify operation by an application that expliciltly changes the state of the MBean.
- a change in the SS7 Network that implicitly changes the state of it's associated MBean.
- a timer within a Timer MBean expiring.

This Mtp3AlarmNotification should be sent to all applications that have registered with the Mtp3 MBean as a javax.management.NotificationListener using a filter 'f', where f.isNotificationEnabled(this.getType()) == true.

The Notification class extends the java.util.EventObject base class and defines the minimal information contained in a notification. It contains the following fields:

the notification type, which is a string expressed in a dot notation similar to Java properties.

a sequence number, which is a serial number identifying a particular instance of notification in the context of the notification source

a time stamp, indicating when the notification was generated

a message contained in a string, which could be the explanation of the notification for displaying to a user

userData is used for whatever other data the notification source wishes to communicate to its consumers

Notification sources should use the notification type to indicate the nature of the event to their consumers. When additional information needs to be transmitted to consumers, the source may place it in the message or user data fields.

Inheritance hierarchy for JAIN OAM Notifications

Version:
  1.1
Author:
  Colm Hayden
See Also:
  Serialized Form

Field Summary
`static int` | `MTP3_ALARM_CONCERNED_SP_NETWORK_CONGESTED` Alarm Type Constant: Concerned destination point code (DPC) network congested.
`static int` | `MTP3_ALARM_CONCERNED_SP_PAUSE` Alarm Type Constant: Concerned destination point code (DPC) pause.
`static int` | `MTP3_ALARM_CONCERNED_SP_RESUME` Alarm Type Constant: Concerned destination point code (DPC) resume.
`static int` | `MTP3_ALARM_CONCERNED_SP_STOP_NET_CONG` Alarm Type Constant: Concerned destination point code (DPC) stop network congestion.
`static int` | `MTP3_ALARM_CONCERNED_SP_USER_UNAVAILABLE` Alarm Type Constant: Concerned destination point code (DPC) remote user unavailable.
`static int` | `MTP3_ALARM_LS_BROADCAST_TFA` Alarm Type Constant: Signalling Linkset and Routeset Availability: Indicates the initiation of broedcast TFA due to the recovery of a measured linkset.
`static int` | `MTP3_ALARM_LS_BROADCAST_TFP` Alarm Type Constant: Signalling Linkset and Routeset Availability: Indicates the initiation of broedcast TFP due to failure of a measured linkset.
`static int` | `MTP3_ALARM_LS_CHANGE` Alarm Type Constant: Signalling Linkset and Routeset Availability: Indicates the change in linkset used to adjacent Signalling Point.
`static int` | `MTP3_ALARM_LS_END_FAILURE` Alarm Type Constant: Signalling Linkset and Routeset Availability: Indicates the end of Linkset failure.
`static int` | `MTP3_ALARM_LS_START_FAILURE` Alarm Type Constant: Signalling Linkset and Routeset Availability: Indicates the start of Linkset failure.
`static int` | `MTP3_ALARM_RS_END_UNAVAILABILITY` Alarm Type Constant: Signalling Linkset and Routeset Availability: Indicates the end of unavailability of routeset to a given destination or set of destinations.
`static int` | `MTP3_ALARM_RS_START_UNAVAILABILITY` Alarm Type Constant: Signalling Linkset and Routeset Availability: Indicates the start of unavailability of routeset to a given destination or set of destinations.
`static int` | `MTP3_ALARM_SL_END_REMOTE_PROCESSOR_OUTAGE` Alarm Type Constant: Signalling Link Availability: Indicates the end of remote processor outage.
`static int` | `MTP3_ALARM_SL_EXCESSIVE_CONGESTION` Alarm Type Constant: Signalling Link Faults & Performance: Indicates a signalling link failure due to the excessive duration of congestion of a signalling link.
`static int` | `MTP3_ALARM_SL_EXCESSIVE_ERROR_RATE` Alarm Type Constant: Signalling Link Faults & Performance: Indicates a signalling link failure due to an excessive error rate of a signalling link.
`static int` | `MTP3_ALARM_SL_FAILURE` Alarm Type Constant: Signalling Link Faults & Performance: Indicates that there has been a signalling link failure.
`static int` | `MTP3_ALARM_SL_INHIBIT_DENIED` Alarm Type Constant: Link inhibit denied.
`static int` | `MTP3_ALARM_SL_LOCAL_AUTO_CHANGEBACK` Alarm Type Constant: Signalling Link Faults & Performance: Indicates a local automatic changeback.
`static int` | `MTP3_ALARM_SL_LOCAL_AUTO_CHANGEOVER` Alarm Type Constant: Signalling Link Faults & Performance: Indicates a local automatic changeover.
`static int` | `MTP3_ALARM_SL_LOCALLY_BLOCKED` Alarm Type Constant: Link locally blocked.
`static int` | `MTP3_ALARM_SL_LOCALLY_UNBLOCKED` Alarm Type Constant: Link locally unblocked.
`static int` | `MTP3_ALARM_SL_REMOTELY_BLOCKED` Alarm Type Constant: Link remotely blocked.
`static int` | `MTP3_ALARM_SL_REMOTELY_UNBLOCKED` Alarm Type Constant: Link remotely unblocked.
`static int` | `MTP3_ALARM_SL_RESTORATION` Alarm Type Constant: Signalling Link Faults & Performance: Indicates the restoration of a signalling link.
`static int` | `MTP3_ALARM_SL_START_LOCAL_INHIBITION` Alarm Type Constant: Signalling Link Availability: Indicates the start of local inhibition.
`static int` | `MTP3_ALARM_SL_START_REMOTE_INHIBITION` Alarm Type Constant: Signalling Link Availability: Indicates the start of remote inhibition.
`static int` | `MTP3_ALARM_SL_STOP_LOCAL_INHIBITION` Alarm Type Constant: Signalling Link Availability: Indicates the stop of local inhibition.
`static int` | `MTP3_ALARM_SL_STOP_REMOTE_INHIBITION` Alarm Type Constant: Signalling Link Availability: Indicates the stop of remote inhibition.
`static int` | `MTP3_ALARM_SL_UNINHIBIT_DENIED` Alarm Type Constant: Link uninhibit denied.
`static int` | `MTP3_ALARM_SP_ACCESSIBLE` Alarm Type Constant: Mtp Signalling Point Status: Indicates that an adjacent Signalling Point is accessible.
`static int` | `MTP3_ALARM_SP_INACCESSIBLE` Alarm Type Constant: Mtp Signalling Point Status: Indicates that the adjacent Signalling Point is inaccessible.

Fields inherited from class jain.protocol.ss7.oam.OamAlarmNotification
`ALARM_MO_ATTRIBUTE_VALUE_CHANGED, ALARM_MO_CREATED, ALARM_MO_DELETED, ALARM_TIMER_EXPIRED, PRIORITY_CRITICAL, PRIORITY_HIGH, PRIORITY_INFORMATIONAL, PRIORITY_LOW, PRIORITY_VENDOR_DEFINED`

Constructor Summary
`Mtp3AlarmNotification(OamManagedObjectMBean source, long sequenceNumber, int priority, int alarmType)` Constructs a new `Mtp3AlarmNotification`.

Method Summary
`java.lang.String` | `toString()` Returns a string representation (with details) of classes which extend this class.

Methods inherited from class jain.protocol.ss7.oam.OamAlarmNotification
`getAlarmType, getPriority, getTimerId, getTimestamp, setPriority, setTimerId`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSource, setUserData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MTP3_ALARM_SL_FAILURE

    public static final int MTP3_ALARM_SL_FAILURE

  Alarm Type Constant: Signalling Link Faults & Performance: Indicates that there has been a signalling link failure.

  Emitted By: LinkMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.sl_failure".

### MTP3_ALARM_SL_EXCESSIVE_ERROR_RATE

    public static final int MTP3_ALARM_SL_EXCESSIVE_ERROR_RATE

  Alarm Type Constant: Signalling Link Faults & Performance: Indicates a signalling link failure due to an excessive error rate of a signalling link.

  Emitted By: LinkMBean Reference: (ITU Q.703, 10.2.2)
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.sl_excessive_error_rate".

### MTP3_ALARM_SL_EXCESSIVE_CONGESTION

    public static final int MTP3_ALARM_SL_EXCESSIVE_CONGESTION

  Alarm Type Constant: Signalling Link Faults & Performance: Indicates a signalling link failure due to the excessive duration of congestion of a signalling link.

  Emitted By: LinkMBean Reference: (ITU Q.703, 9.3)
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.sl_excessive_congestion".

### MTP3_ALARM_SL_LOCAL_AUTO_CHANGEOVER

    public static final int MTP3_ALARM_SL_LOCAL_AUTO_CHANGEOVER

  Alarm Type Constant: Signalling Link Faults & Performance: Indicates a local automatic changeover.

  Emitted By: LinkMBean Reference: (ITU Q.703, Clause 5)
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.sl_local_auto_changeover".

### MTP3_ALARM_SL_LOCAL_AUTO_CHANGEBACK

    public static final int MTP3_ALARM_SL_LOCAL_AUTO_CHANGEBACK

  Alarm Type Constant: Signalling Link Faults & Performance: Indicates a local automatic changeback.

  Emitted By: LinkMBean Reference: (ITU Q.703, Clause 6)
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.sl_local_auto_changeback".

### MTP3_ALARM_SL_RESTORATION

    public static final int MTP3_ALARM_SL_RESTORATION

  Alarm Type Constant: Signalling Link Faults & Performance: Indicates the restoration of a signalling link.

  Emitted By: LinkMBean Reference: (ITU Q.704, 3.2.3)
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.sl_restoration".

### MTP3_ALARM_SL_END_REMOTE_PROCESSOR_OUTAGE

    public static final int MTP3_ALARM_SL_END_REMOTE_PROCESSOR_OUTAGE

  Alarm Type Constant: Signalling Link Availability: Indicates the end of remote processor outage.

  Emitted By: LinkMBean Reference: (ITU Q.704, 3.2.7)
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.sl_end_remote_processor_outage".

### MTP3_ALARM_SL_START_LOCAL_INHIBITION

    public static final int MTP3_ALARM_SL_START_LOCAL_INHIBITION

  Alarm Type Constant: Signalling Link Availability: Indicates the start of local inhibition.

  Emitted By: LinkMBean Reference: (ITU Q.704, Clause 10)
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.sl_start_local_inhibition".

### MTP3_ALARM_SL_STOP_LOCAL_INHIBITION

    public static final int MTP3_ALARM_SL_STOP_LOCAL_INHIBITION

  Alarm Type Constant: Signalling Link Availability: Indicates the stop of local inhibition.

  Emitted By: LinkMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.sl_stop_local_inhibition".

### MTP3_ALARM_SL_START_REMOTE_INHIBITION

    public static final int MTP3_ALARM_SL_START_REMOTE_INHIBITION

  Alarm Type Constant: Signalling Link Availability: Indicates the start of remote inhibition.

  Emitted By: LinkMBean Reference: (ITU Q.704, Clause 10)
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.sl_start_remote_inhibition".

### MTP3_ALARM_SL_STOP_REMOTE_INHIBITION

    public static final int MTP3_ALARM_SL_STOP_REMOTE_INHIBITION

  Alarm Type Constant: Signalling Link Availability: Indicates the stop of remote inhibition.

  Emitted By: LinkMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.sl_stop_remote_inhibition".

### MTP3_ALARM_LS_START_FAILURE

    public static final int MTP3_ALARM_LS_START_FAILURE

  Alarm Type Constant: Signalling Linkset and Routeset Availability: Indicates the start of Linkset failure.

  Emitted By: LinksetMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.ls_start_failure".

### MTP3_ALARM_LS_END_FAILURE

    public static final int MTP3_ALARM_LS_END_FAILURE

  Alarm Type Constant: Signalling Linkset and Routeset Availability: Indicates the end of Linkset failure.

  Emitted By: LinksetMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.ls_end_failure".

### MTP3_ALARM_LS_BROADCAST_TFP

    public static final int MTP3_ALARM_LS_BROADCAST_TFP

  Alarm Type Constant: Signalling Linkset and Routeset Availability: Indicates the initiation of broedcast TFP due to failure of a measured linkset.

  Emitted By: LinksetMBean Reference: (ITU Q.704, Clause 13)
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.ls_broadcast_tfp".

### MTP3_ALARM_LS_BROADCAST_TFA

    public static final int MTP3_ALARM_LS_BROADCAST_TFA

  Alarm Type Constant: Signalling Linkset and Routeset Availability: Indicates the initiation of broedcast TFA due to the recovery of a measured linkset.

  Emitted By: LinksetMBean Reference: (ITU Q.704, Clause 13)
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.ls_broadcast_tfa".

### MTP3_ALARM_LS_CHANGE

    public static final int MTP3_ALARM_LS_CHANGE

  Alarm Type Constant: Signalling Linkset and Routeset Availability: Indicates the change in linkset used to adjacent Signalling Point.

  Emitted By: LinksetMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.ls_change".

### MTP3_ALARM_RS_START_UNAVAILABILITY

    public static final int MTP3_ALARM_RS_START_UNAVAILABILITY

  Alarm Type Constant: Signalling Linkset and Routeset Availability: Indicates the start of unavailability of routeset to a given destination or set of destinations.

  Emitted By: RoutesetMBean Reference: (ITU Q.704, 11.2.1)
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.rs_start_unavailability".

### MTP3_ALARM_RS_END_UNAVAILABILITY

    public static final int MTP3_ALARM_RS_END_UNAVAILABILITY

  Alarm Type Constant: Signalling Linkset and Routeset Availability: Indicates the end of unavailability of routeset to a given destination or set of destinations.

  Emitted By: RoutesetMBean Reference: (ITU Q.704, 11.2.2)
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.rs_end_unavailability".

### MTP3_ALARM_SP_INACCESSIBLE

    public static final int MTP3_ALARM_SP_INACCESSIBLE

  Alarm Type Constant: Mtp Signalling Point Status: Indicates that the adjacent Signalling Point is inaccessible.

  Emitted By: Mtp3SapMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.sp_inaccessible".

### MTP3_ALARM_SP_ACCESSIBLE

    public static final int MTP3_ALARM_SP_ACCESSIBLE

  Alarm Type Constant: Mtp Signalling Point Status: Indicates that an adjacent Signalling Point is accessible.

  Emitted By: Mtp3SapMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.sp_accessible".

### MTP3_ALARM_SL_INHIBIT_DENIED

    public static final int MTP3_ALARM_SL_INHIBIT_DENIED

  Alarm Type Constant: Link inhibit denied.

  Emitted By: LinkMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.sl_inhibit_denied".

### MTP3_ALARM_SL_UNINHIBIT_DENIED

    public static final int MTP3_ALARM_SL_UNINHIBIT_DENIED

  Alarm Type Constant: Link uninhibit denied.

  Emitted By: LinkMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.sl_uninhibit_denied".

### MTP3_ALARM_SL_REMOTELY_BLOCKED

    public static final int MTP3_ALARM_SL_REMOTELY_BLOCKED

  Alarm Type Constant: Link remotely blocked.

  Emitted By: LinkMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.remotely_blocked".

### MTP3_ALARM_SL_REMOTELY_UNBLOCKED

    public static final int MTP3_ALARM_SL_REMOTELY_UNBLOCKED

  Alarm Type Constant: Link remotely unblocked.

  Emitted By: LinkMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.remotely_unblocked".

### MTP3_ALARM_SL_LOCALLY_BLOCKED

    public static final int MTP3_ALARM_SL_LOCALLY_BLOCKED

  Alarm Type Constant: Link locally blocked.

  Emitted By: LinkMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.sl_locally_blocked".

### MTP3_ALARM_SL_LOCALLY_UNBLOCKED

    public static final int MTP3_ALARM_SL_LOCALLY_UNBLOCKED

  Alarm Type Constant: Link locally unblocked.

  Emitted By: LinkMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.sl_locally_unblocked".

### MTP3_ALARM_CONCERNED_SP_PAUSE

    public static final int MTP3_ALARM_CONCERNED_SP_PAUSE

  Alarm Type Constant: Concerned destination point code (DPC) pause.

  Emitted By: Mtp2SapMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.concerned_sp_pause".

### MTP3_ALARM_CONCERNED_SP_RESUME

    public static final int MTP3_ALARM_CONCERNED_SP_RESUME

  Alarm Type Constant: Concerned destination point code (DPC) resume.

  Emitted By: Mtp2SapMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.concerned_sp_resume".

### MTP3_ALARM_CONCERNED_SP_NETWORK_CONGESTED

    public static final int MTP3_ALARM_CONCERNED_SP_NETWORK_CONGESTED

  Alarm Type Constant: Concerned destination point code (DPC) network congested.

  Emitted By: Mtp2SapMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.concerned_sp_network_congested".

### MTP3_ALARM_CONCERNED_SP_USER_UNAVAILABLE

    public static final int MTP3_ALARM_CONCERNED_SP_USER_UNAVAILABLE

  Alarm Type Constant: Concerned destination point code (DPC) remote user unavailable.

  Emitted By: Mtp2SapMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.concerned_sp_user_unavailable".

### MTP3_ALARM_CONCERNED_SP_STOP_NET_CONG

    public static final int MTP3_ALARM_CONCERNED_SP_STOP_NET_CONG

  Alarm Type Constant: Concerned destination point code (DPC) stop network congestion.

  Emitted By: Mtp2SapMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.alarm.concerned_sp_stop_net_cong".

Constructor Detail

### Mtp3AlarmNotification

    public Mtp3AlarmNotification(OamManagedObjectMBean source,
                                 long sequenceNumber,
                                 int priority,
                                 int alarmType)

  Constructs a new `Mtp3AlarmNotification`.
  Parameters:
    `source` - The Managed MBean that emitted this Notification.
    `sequenceNumberThe` - notification sequence number within the source object.
    `priority` - The priority of this Mtp3AlarmNotification. This may be either (in increasing order of priority):

    1. PRIORITY_INFORMATIONAL - The cause of this event does not affect the functional state of the system and may be ignored.
       This Mtp3AlarmNotification is for purely informational purposes only.
    2. PRIORITY_LOW - Indicates that the state of the MBean that emitted this Mtp3AlarmNotification has changed as a result of an operation explicitly invoked by an application.
    3. PRIORITY_HIGH - Indicates that the physical network element associated with the MBean that emitted this Mtp3AlarmNotification has gone out of service.
       Without corrective action, service reliability can be severely affected.
    4. PRIORITY_CRITICAL Indicates the complete failure of the physical netwrok element associated with the MBean that emitted this Mtp3AlarmNotification. Immediate recovery action is required.
    `alarmType` - The type of this alarm. This may be any one of the Alarm Type constants defined in this class, or one of those inherited from OamAlarmNotification.
  Throws:
    java.lang.IllegalArgumentException - - If any of the supplied parameters are invalid

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation (with details) of classes which extend this class. Over rides standard JAVA toString method.
  Overrides:
    toString in class java.util.EventObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems